std_function.h(3cxx)

NAME
std_function.h

SYNOPSIS

  Classes

struct std::__is_location_invariant< _Tp >
class std::_Function_base
Base class of all polymorphic function object wrappers.
class std::bad_function_call
Exception class thrown when class template function's operator() is called with an empty target.
class std::function< _Res(_ArgTypes...)>
Polymorphic function wrapper.

  Namespaces

namespace std
ISO C++ entities toplevel namespace is std.
namespace std::__detail
Implementation details not part of the namespace std interface.

  Enumerations

enum _Manager_operation { __get_type_info, __get_functor_ptr, __clone_functor, __destroy_functor }

  Functions

template<typename _Functor, typename _Signature = typename __function_guide_helper<decltype(&_Functor::operator())>::type> std::function (_Functor) -> function< _Signature >
template<typename _Res, typename... _ArgTypes> std::function (_Res(*)(_ArgTypes...)) -> function< _Res(_ArgTypes...)>
template<typename _Res, typename... _Args> bool std::operator== (const function< _Res(_Args...)> &__f, nullptr_t) noexcept
Test whether a polymorphic function object wrapper is empty.
template<typename _Res, typename... _Args> void std::swap (function< _Res(_Args...)> &__x, function< _Res(_Args...)> &__y) noexcept
Swap the targets of two polymorphic function object wrappers.

Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <functional>.

Author

Generated automatically by Doxygen for libstdc++ from the source code.